Package org.apache.commons.compress.harmony.pack200

# Class Pack200Adapter

java.lang.Object
org.apache.commons.compress.harmony.pack200.Pack200Adapter

Direct Known Subclasses:
  `Pack200PackerAdapter`, `Pack200UnpackerAdapter`

public abstract class Pack200Adapter extends Object
Provides generic JavaBeans support for the Pack/UnpackAdapters

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final int`
  `DEFAULT_BUFFER_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Pack200Adapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener listener)`
  `protected void`
  `completed(double value)`
  Completion between 0..1.
  `protected void`
  `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
  Reports a property update to listeners
  `SortedMap<String,String>`
  `properties()`
  `void`
  `removePropertyChangeListener(PropertyChangeListener listener)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_BUFFER_SIZE

    protected static final int DEFAULT_BUFFER_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Pack200Adapter

    public Pack200Adapter()

- ## Method Details

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  - ### completed

    protected void completed(double value) throws IOException
    Completion between 0..1.
    Parameters:
      `value` - Completion between 0..1.
    Throws:
      `IOException` - if the value cannot be parsed

  - ### firePropertyChange

    protected void firePropertyChange(String propertyName, Object oldValue, Object newValue) throws IOException
    Reports a property update to listeners
    Parameters:
      `propertyName` - name of property being updated
      `oldValue` - old property value
      `newValue` - new property value
    Throws:
      `IOException` - if the values cannot be parsed

  - ### properties

    public SortedMap<String,String> properties()

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)